commit:     ca34211563577624ce1527b5469d7ec6eda3cb03
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Fri Mar 11 09:35:47 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 09:25:28 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca342115

dev-python/jaraco-functools: bump to 1.8.2, EAPI=6

Package-Manager: portage-2.2.27
Closes: https://github.com/gentoo/gentoo/pull/1030
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/jaraco-functools/Manifest               |  1 +
 .../jaraco-functools/jaraco-functools-1.8.2.ebuild | 44 ++++++++++++++++++++++
 dev-python/jaraco-functools/metadata.xml           |  1 +
 3 files changed, 46 insertions(+)

diff --git a/dev-python/jaraco-functools/Manifest 
b/dev-python/jaraco-functools/Manifest
index 2bef306..b181d06 100644
--- a/dev-python/jaraco-functools/Manifest
+++ b/dev-python/jaraco-functools/Manifest
@@ -1 +1,2 @@
 DIST jaraco.functools-1.8.1.tar.gz 6125 SHA256 
766cd9caed0c18dfbf744dcd05d1f171f03e64ab8f7363d5b2521ba200383c5a SHA512 
d67795340238bd646bea450e8bb37fb64bca66a41a4b8f385f4a986b880578edfa2dad23b820a1a9cce7460dc530a2de2a219362e9cd0ced851040e86fb70f21
 WHIRLPOOL 
bd050b7daa52f2f5043ca2209562472b96d9ec5d417edf96bf686eb0f60a4bde6b69890557140f7f0b278e8d612c702b01a5b72ccae5b894b3646d37582a1da5
+DIST jaraco.functools-1.8.2.tar.gz 6549 SHA256 
2766002fb0827e596744754158ceb5cfc4fba723567c756d39b9d7fbdb568ed0 SHA512 
e655da8f812d21e20f671e5116357cea4f5ac1901715892c15a4284ea787e75c958ad087d73d0ad75c0a8bf6bb6b44d3ed3a6b68f9c393ae0de93063ecef8851
 WHIRLPOOL 
318679b1fcd3d9e8510a340bb5738608f4e0e1fac8229ca996925446921082339c6cf742ee353f8b08b08a777bfcce4c8384fd5f60482360699403014ed19dd1

diff --git a/dev-python/jaraco-functools/jaraco-functools-1.8.2.ebuild 
b/dev-python/jaraco-functools/jaraco-functools-1.8.2.ebuild
new file mode 100644
index 0000000..611ebee
--- /dev/null
+++ b/dev-python/jaraco-functools/jaraco-functools-1.8.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Additional functions used by other projects by developer jaraco"
+HOMEPAGE="https://github.com/jaraco/jaraco.functools";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 
'dev-python/backports-functools-lru-cache[${PYTHON_USEDEP}]' python2_7)
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+       if use test && has_version "${CATEGORY}/${PN}"; then
+               die "Ensure $PN is not already installed or the test suite will 
fail"
+       fi
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       PYTHONPATH=. py.test || die "tests failed with ${EPYTHON}"
+}

diff --git a/dev-python/jaraco-functools/metadata.xml 
b/dev-python/jaraco-functools/metadata.xml
index ef4debb..422abbf 100644
--- a/dev-python/jaraco-functools/metadata.xml
+++ b/dev-python/jaraco-functools/metadata.xml
@@ -13,5 +13,6 @@
        <upstream>
                <remote-id type="pypi">jaraco.functools</remote-id>
                <remote-id type="github">jaraco/jaraco.functools</remote-id>
+               
<bugs-to>https://github.com/jaraco/jaraco.functools/issues</bugs-to>
        </upstream>
 </pkgmetadata>

Reply via email to